Subject: Re: KASAN: slab-out-of-bounds Read in add_adv_patterns_monitor

From: Dan Carpenter <[email-masked]>
Date: Tue, 2 Feb 2021 11:10:10 +0300

Commit 36211f7fc1e7 ("Bluetooth: Pause service discovery for suspend")
seems like a bugfix as well but there is no Fixes tag there either.  The
commit message should be more clear what the effect of the bug looks
like to the user.  I like to write something like this:

[PATCH] Bluetooth: Pause service discovery for suspend

Just like MGMT_OP_START_DISCOVERY, we should reject
MGMT_OP_START_SERVICE_DISCOVERY with MGMT_STATUS_BUSY when we are paused
for suspend.  This bug was discovered by auditing the software and no
one has complained about it, but presumably it leads to a hanged process
because the cmd cannot complete.

Sometimes it's hard to know what the affect of a bug is, but since
you're working in the subsystem then you probably have a better guess
than the rest of us so even a guess is useful.

regards,
dan carpenter